# Owncast Product Definition

## Why

By defining the goals and target user bases we have something stable to guide decisions, features, conversations and keep clarity around what is being built.

While these definitions and lists should not be seen as exhaustive, in theory, once this is seen as "complete" there should be few, if any changes, as that would note a large change in direction and goals.

[TOC]

## Vision

> The out-of-the-box personal broadcast platform for DIY streamers and integrators.

## Primary Goals

- Useful out of the box.
- Fast to get running.
- Self-contained.
- An alternative, not a competitor.
- For individuals, not service providers.
- Easy to integrate into other projects/products.
- Low barrier to entry.
- Empowering.
- Customizable and hackable.

## Primary Users

### The DIY Streamer

An individual who is streaming as a hobby, a project, or is moving their audience from an existing streaming platform.

**Needs**:

- Security/ownership of their own stream.
- Building an independent space.
- Personalization.
- Tools to manage a relationship with their audience.

**Pains**:

- Kicked off other streaming services.
- Feeling of inequality or bias.
- Their content has low visibility.
- Platform rules do not align with them.
- Do not agree with the forced ads, tracking and analytics.

### The Integrator

An individual or organization that has existing content, products or platforms that they want to add live streaming functionality to.

**Needs**:

- Broadcasting without censorship.
- Full ownership of their brand.
- Embedding and 3rd party playback.
- Support private or invite-only streams.
- Independence.

**Pains**:

- Censorship.
- Rules.
- Ads.
- Risk of losing viewers from competitors and distractions.

**Desires**:

- Hosting events.
- Running their own broadcasting service.

## Secondary Users

### The Viewer

An audience member that is often, but not always, taking part in chat.

**Needs**:

- To watch high quality video.
- Ways to interact with the streamer. Chat, memes, emoji.
- Calls to actions, links, next steps.

**Pains**:

- Understanding the interface and knowing they're in the correct place.
